Package org.codehaus.janino.util

# Interface ClassFile.StackMapTableAttribute.VerificationTypeInfo

All Known Implementing Classes:
  `ClassFile.StackMapTableAttribute.ObjectVariableInfo`, `ClassFile.StackMapTableAttribute.UninitializedVariableInfo`

Enclosing class:
  `ClassFile.StackMapTableAttribute`

public static interface ClassFile.StackMapTableAttribute.VerificationTypeInfo
Representation of the `verification_type_info` union; see JVMS8 4.7.4.

## Method Summary

Modifier and Type
Method
Description
`int`
`category()`
`void`
`store(DataOutputStream dos)`
Writes this object to an `OutputStream`, in "class file" format.

## Method Details

### category

int category()

Returns:
  The category of the type (1 or 2) (JVMS11 2.11.1)

### store

void store(DataOutputStream dos) throws IOException
Writes this object to an `OutputStream`, in "class file" format.

Throws:
  `IOException`